## kcontrol-ldap-bonding-trinity 14.0.11

=== CMakeLists.txt ===
############################################
#                                          #
#  Improvements and feedbacks are welcome  #
#                                          #
#  This file is released under GPL >= 3    #
#                                          #
############################################


cmake_minimum_required( VERSION 2.8.12 )


#### general package setup

project( kcmldap )
set( VERSION R14.0.11 )


#### include essential cmake modules

include( FindPkgConfig          )
include( CheckFunctionExists    )
include( CheckSymbolExists      )
include( CheckIncludeFile       )
include( CheckLibraryExists     )
include( CheckCSourceCompiles   )
include( CheckCXXSourceCompiles )


#### include our cmake modules

set( CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake/modules" )
include( TDEMacros )


##### setup install paths

include( TDESetupPaths )
tde_setup_paths( )


##### optional stuff

option( WITH_ALL_OPTIONS    "Enable all optional support" OFF )
option( WITH_GCC_VISIBILITY "Enable fvisibility and fvisibility-inlines-hidden" ${WITH_ALL_OPTIONS} )


##### user requested modules

option( BUILD_ALL          "Build all" ON )
option( BUILD_TRANSLATIONS "Build translations" ${BUILD_ALL} )


##### configure checks

include( ConfigureChecks.cmake )


###### global compiler settings

add_definitions( -DHAVE_CONFIG_H )

set( CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${TQT_CXX_FLAGS}" )
set( CMAKE_SHARED_LINKER_FLAGS "${CMAKE_SHARED_LINKER_FLAGS} -Wl,--no-undefined" )
set( CMAKE_MODULE_LINKER_FLAGS "${CMAKE_MODULE_LINKER_FLAGS} -Wl,--no-undefined" )


##### directories

add_subdirectory( src )
add_subdirectory( pics )
add_subdirectory( cmdline )
add_subdirectory( cert-updater )


##### other data ################################

tde_conditional_add_project_translations( BUILD_TRANSLATIONS )


##### write configure files

configure_file( config.h.cmake config.h @ONLY )

## kcontrol-ldap-bonding-trinity 14.0.4

=== debian/changelog ===
kcontrol-ldap-bonding-trinity (4:14.0.4-0ubuntu16.10.0+0) yakkety; urgency=low

  * Automated git build for r14.0.4

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 23 Oct 2016 13:14:37 +0200

kcontrol-ldap-bonding-trinity (0.5-0ubuntu0) karmic; urgency=low

  * Karmic rebuild

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Thu, 02 Jul 2009 16:08:00 -0600

=== debian/control ===
Source: kcontrol-ldap-bonding-trinity
Section: tde
Priority: optional
Maintainer: Timothy Pearson <kb9vqf@pearsoncomputing.net>
XSBC-Original-Maintainer: Raphaël Pinson <raphink@raphink.net>
Build-Depends: debhelper (>= 7.0.50~), quilt, cdbs, tdelibs14-trinity-dev, libtdeldap-trinity-dev, automake, autoconf, libtool, libltdl-dev
Standards-Version: 3.8.4

Package: kcontrol-ldap-bonding-trinity
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, heimdal-clients, libpam-heimdal, libpam-ldap, libnss-ldap, libnss-db, nss-updatedb, nscd, libpam-ccreds, ntp, tde-ldap-cert-updater
Description: Kerberos control module for the Trinity control center
 This is a Trinity control center module to manage TDE connections to Kerberos realms.

Package: tde-ldap-cert-updater
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, heimdal-clients, libpam-heimdal, libpam-ldap, libnss-ldap, libnss-db, nss-updatedb, nscd, libpam-ccreds, ntp
Description: Service to keep LDAP certificates up-to-date
 This is a small daemon which keeps the LDAP root certificate up to date with the LDAP server

## kcontrol-ldap-bonding-trinity 14.0.5

=== debian/changelog ===
kcontrol-ldap-bonding-trinity (4:14.0.5-0ubuntu17.04.0+0) zesty; urgency=low

  * Automated git build for r14.0.5

 -- Slávek Banko <slavek.banko@axis.cz>  Fri, 27 Jul 2018 07:22:03 +0200

## kcontrol-ldap-bonding-trinity 14.0.6

=== debian/changelog ===
kcontrol-ldap-bonding-trinity (4:14.0.6-0ubuntu10.04.0+0) lucid; urgency=low

  * Automated git build for r14.0.6

 -- Slávek Banko <slavek.banko@axis.cz>  Wed, 06 Mar 2019 01:19:23 +0100

=== debian/control ===
--- 
+++ 
@@ -3,12 +3,13 @@
 Priority: optional
 Maintainer: Timothy Pearson <kb9vqf@pearsoncomputing.net>
 XSBC-Original-Maintainer: Raphaël Pinson <raphink@raphink.net>
-Build-Depends: debhelper (>= 7.0.50~), quilt, cdbs, tdelibs14-trinity-dev, libtdeldap-trinity-dev, automake, autoconf, libtool, libltdl-dev
+Build-Depends: debhelper (>= 7.0.50~), quilt, cdbs, cmake, tdelibs14-trinity-dev, libtdeldap-trinity-dev
 Standards-Version: 3.8.4
 
 Package: kcontrol-ldap-bonding-trinity
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, heimdal-clients, libpam-heimdal, libpam-ldap, libnss-ldap, libnss-db, nss-updatedb, nscd, libpam-ccreds, ntp, tde-ldap-cert-updater
+Depends: ${shlibs:Depends}, ${misc:Depends}, heimdal-clients, libpam-heimdal, libpam-ldap, libnss-ldap, libnss-db, nss-updatedb, nscd, libpam-ccreds, ntp, sudo, tde-ldap-cert-updater
+Recommends: libsasl2-modules-gssapi-heimdal
 Description: Kerberos control module for the Trinity control center
  This is a Trinity control center module to manage TDE connections to Kerberos realms.

## kcontrol-ldap-bonding-trinity 14.0.8

=== debian/changelog ===
kcontrol-ldap-bonding-trinity (4:14.0.8-0ubuntu18.10.0+0) cosmic; urgency=low

  * Automated git build for r14.0.8

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 19 Apr 2020 16:56:01 +0200

## kcontrol-ldap-bonding-trinity 14.0.10

=== debian/changelog ===
kcontrol-ldap-bonding-trinity (4:14.0.10-0debian7.0.0+0) wheezy; urgency=low

  * Automated git build for r14.0.10

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 04 Apr 2021 16:10:05 +0200

=== debian/control ===
Source: kcontrol-ldap-bonding-trinity
Section: tde
Priority: optional
Maintainer: TDE Debian Team <team-debian@trinitydesktop.org>
XSBC-Original-Maintainer: Raphaël Pinson <raphink@raphink.net>
Build-Depends: debhelper (>= 9~), quilt, cdbs, cmake, tdelibs14-trinity-dev, libtdeldap-trinity-dev
Standards-Version: 3.8.4

Package: kcontrol-ldap-bonding-trinity
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, heimdal-clients, libpam-heimdal, libpam-ldap, libnss-ldap, libnss-db, nss-updatedb, nscd, libpam-ccreds, chrony | ntp | time-daemon, sudo, tde-ldap-cert-updater
Recommends: libsasl2-modules-gssapi-heimdal
Description: Kerberos control module for the Trinity control center
 This is a Trinity control center module to manage TDE connections to Kerberos realms.

Package: tde-ldap-cert-updater
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, heimdal-clients, libpam-heimdal, libpam-ldap, libnss-ldap, libnss-db, nss-updatedb, nscd, libpam-ccreds, chrony | ntp | time-daemon
Description: Service to keep LDAP certificates up-to-date
 This is a small daemon which keeps the LDAP root certificate up to date with the LDAP server

## kcontrol-ldap-bonding-trinity 14.0.11

=== debian/changelog ===
kcontrol-ldap-bonding-trinity (4:14.0.11-0ubuntu14.04.0+0) trusty; urgency=low

  * Automated git build for r14.0.11
  * https://wiki.trinitydesktop.org/Changelog_For_R14.0.11#kcmldap

 -- Slávek Banko <slavek.banko@axis.cz>  Tue, 19 Oct 2021 14:29:24 +0200

## kcontrol-ldap-bonding-trinity 14.0.12

=== debian/changelog ===
kcontrol-ldap-bonding-trinity (4:14.0.12-0ubuntu20.10.0+0) groovy; urgency=low

  * Automated git build for r14.0.12
  * https://wiki.trinitydesktop.org/Changelog_For_R14.0.12#kcmldap

 -- Slávek Banko <slavek.banko@axis.cz>  Fri, 31 Dec 2021 11:52:39 +0100

## kcontrol-ldap-bonding-trinity 14.0.13

=== debian/changelog ===
kcontrol-ldap-bonding-trinity (4:14.0.13-0ubuntu22.10.0+0) kinetic; urgency=low

  * Automated git build for r14.0.13
  * https://wiki.trinitydesktop.org/Changelog_For_R14.0.13#kcmldap

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 26 Jun 2022 09:09:50 +0200

## kcontrol-ldap-bonding-trinity 14.1.0

=== debian/changelog ===
kcontrol-ldap-bonding-trinity (4:14.1.0-0ubuntu21.10.0+0) impish; urgency=low

  * Automated git build for r14.1.0
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.0#kcmldap

 -- Slávek Banko <slavek.banko@axis.cz>  Sat, 14 Jan 2023 18:47:51 +0100

## kcontrol-ldap-bonding-trinity 14.1.1

=== debian/changelog ===
kcontrol-ldap-bonding-trinity (4:14.1.1-0ubuntu16.04.0+0) xenial; urgency=low

  * Automated git build for r14.1.1
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.1#kcmldap

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 24 Jul 2023 04:17:15 +0200

## kcontrol-ldap-bonding-trinity 14.1.2

=== debian/changelog ===
kcontrol-ldap-bonding-trinity (4:14.1.2-0ubuntu22.10.0+0) kinetic; urgency=low

  * Automated git build for r14.1.2
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.2#kcmldap

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 22 Apr 2024 00:31:46 +0200

## kcontrol-ldap-bonding-trinity 14.1.3

=== debian/changelog ===
kcontrol-ldap-bonding-trinity (4:14.1.3-0ubuntu23.04.0+0) lunar; urgency=low

  * Automated git build for r14.1.3
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.3#kcmldap

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Jul 2024 15:09:48 +0200

## kcontrol-ldap-bonding-trinity 14.1.4

=== debian/changelog ===
kcontrol-ldap-bonding-trinity (4:14.1.4-0ubuntu25.04.0+0) plucky; urgency=low

  * Automated git build for r14.1.4
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.4#kcmldap

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 14 Apr 2025 09:06:08 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: TDE Debian Team <team-debian@trinitydesktop.org>
 XSBC-Original-Maintainer: Raphaël Pinson <raphink@raphink.net>
-Build-Depends: debhelper (>= 9~), quilt, cdbs, cmake, tdelibs14-trinity-dev, libtdeldap-trinity-dev
+Build-Depends: cdbs, debhelper (>= 10~), quilt, tde-cmake, ninja-build, tdelibs14-trinity-dev, libtdeldap-trinity-dev
 Standards-Version: 3.8.4
 
 Package: kcontrol-ldap-bonding-trinity

## kcontrol-ldap-bonding-trinity 14.1.5~pre0

=== debian/changelog ===
kcontrol-ldap-bonding-trinity (4:14.1.5~pre0-0ubuntu25.10.0+3) questing; urgency=low

  * Automated git build for 564b550458c854dfec4b90d583bea6d4dbcbc4e5
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.5#kcmldap

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 15 Sep 2025 08:52:09 +0200

## kcontrol-ldap-bonding-trinity 14.1.5~pre3

=== debian/changelog ===
kcontrol-ldap-bonding-trinity (4:14.1.5~pre3-0ubuntu25.10.0+3) questing; urgency=low

  * Automated git build for 5fd63aaa9a9aa0eca4c33ae24f5135f23d03f3dd
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.5#kcmldap

 -- Slávek Banko <slavek.banko@axis.cz>  Thu, 23 Oct 2025 23:34:40 +0200

## kcontrol-ldap-bonding-trinity 14.1.5

=== pics/CMakeLists.txt ===
install(
    FILES
        kcmldapbonding_step1.png
        kcmldapbonding_step3.png

    DESTINATION ${SHARE_INSTALL_PREFIX}/pixmaps
)

=== debian/changelog ===
kcontrol-ldap-bonding-trinity (4:14.1.5-0ubuntu25.10.0+0) questing; urgency=low

  * Automated git build for r14.1.5
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.5#kcmldap

 -- Slávek Banko <slavek.banko@axis.cz>  Thu, 23 Oct 2025 23:34:40 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: TDE Debian Team <team-debian@trinitydesktop.org>
 XSBC-Original-Maintainer: Raphaël Pinson <raphink@raphink.net>
-Build-Depends: cdbs, debhelper (>= 10~), quilt, tde-cmake, ninja-build, tdelibs14-trinity-dev, libtdeldap-trinity-dev
+Build-Depends: tde-cdbs, debhelper (>= 10~), quilt, tde-cmake, ninja-build, tdelibs14-trinity-dev, libtdeldap-trinity-dev
 Standards-Version: 3.8.4
 
 Package: kcontrol-ldap-bonding-trinity

## kcontrol-ldap-bonding-trinity 14.1.6~pre0

=== debian/changelog ===
kcontrol-ldap-bonding-trinity (4:14.1.6~pre0-0ubuntu26.04.0+0~a) resolute; urgency=low

  * Automated git build for 5fd63aaa9a9aa0eca4c33ae24f5135f23d03f3dd
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#kcmldap

 -- Slávek Banko <slavek.banko@axis.cz>  Thu, 23 Oct 2025 23:34:40 +0200

## kcontrol-ldap-bonding-trinity 14.1.6~pre1

=== debian/changelog ===
kcontrol-ldap-bonding-trinity (4:14.1.6~pre1-0ubuntu26.04.0+0~a) resolute; urgency=low

  * Automated git build for 1cf43bb5de2b3a0e9c0f8dafa8d9e6dbf135afa4
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#kcmldap

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Dec 2025 05:47:29 +0100

## kcontrol-ldap-bonding-trinity 14.2.0~pre23

=== debian/changelog ===
kcontrol-ldap-bonding-trinity (4:14.2.0~pre23-0ubuntu25.10.0+6) questing; urgency=low

  * Automated git build for 03e4ce429a0e0b90c2d5191bc5028e445583b756
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#kcmldap

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Sep 2025 20:29:16 +0200

## kcontrol-ldap-bonding-trinity 14.2.0~pre26

=== src/CMakeLists.txt ===
include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${TDE_INCLUDE_DIR}/tde
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
  ${KRB5_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
  ${TDE_LIB_DIR}
)


##### kcm_ldapbonding (kpart)

tde_add_kpart( kcm_ldapbonding AUTOMOC

  SOURCES
        ldapconfigbase.ui
        bondintropagedlg.ui
        bondrealmpagedlg.ui
        bondfinishpagedlg.ui
        tdeumaskinput.cpp
        ldapbonding.cpp
        realmpropertiesdialog.cpp
        bondintropage.cpp
        bondrealmpage.cpp
        bondfinishpage.cpp
        bondwizard.cpp
        ldappasswddlg.cpp
  LINK
     tdeio-shared
     tdeui-shared
     ${LIBTDELDAP_LIBRARIES}
     
  DESTINATION ${PLUGIN_INSTALL_DIR}
)


##### other data

tde_create_translated_desktop( ldapbonding.desktop )

=== debian/changelog ===
kcontrol-ldap-bonding-trinity (4:14.2.0~pre26-0ubuntu26.04.0+6~a) resolute; urgency=low

  * Automated git build for 9d86daabd7511eed530806352e373f7f7465bc4e
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#kcmldap

 -- Slávek Banko <slavek.banko@axis.cz>  Thu, 23 Oct 2025 20:24:44 +0200

## kcontrol-ldap-bonding-trinity 14.2.0~pre27

=== debian/changelog ===
kcontrol-ldap-bonding-trinity (4:14.2.0~pre27-0ubuntu26.04.0+6~a) resolute; urgency=low

  * Automated git build for a43357db2b4fe366d9245a09f49d84830dcb9c24
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#kcmldap

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Dec 2025 04:58:14 +0100
